org.apache.ignite.internal.processors.service

## Class GridServiceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.service.GridServiceNotFoundException

All Implemented Interfaces:
  Serializable

    public class GridServiceNotFoundException
    extends IgniteCheckedException

Exception thrown if service is not found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceNotFoundException(String name)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceNotFoundException

    public GridServiceNotFoundException(String name)

Parameters:
  `name` - Service name.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteCheckedException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015